/*
* Copyright(c) 1997-2001 Id Software, Inc.
* Copyright(c) 2002 The Quakeforge Project.
* Copyright(c) 2006 Quetoo.
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation; either version 2
* of the License, or(at your option) any later version.
* 
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
* 
* See the GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

/*
* binds.h - Default key bindings, as we do not use or wish to collide
* with default.cfg
*/

char *DEFAULT_BINDS =

"bind 1 use blaster\n"
"bind 2 use shotgun\n"
"bind 3 use super shotgun\n"
"bind 4 use machinegun\n"
"bind 5 use chaingun\n"
"bind 6 use grenade launcher\n"
"bind 7 use rocket launcher\n"
"bind 8 use hypber blaster\n"
"bind 9 use railgun\n"
"bind 0 use bfg10k\n"

"bind - sizedown\n"
"bind = sizeup\n"

"bind w +forward\n"
"bind a +moveleft\n"
"bind s +back\n"
"bind d +moveright\n"
"bind SPACE +moveup\n"

"bind x score\n"
"bind t messagemode\n"
"bind y messagemode2\n"
"bind p pause\n"

"bind F1 help\n"
"bind F12 screenshot\n"

"bind ESCAPE togglemenu\n"
"bind TAB inven\n"
"bind ENTER invuse\n"
"bind [ invprev\n"
"bind ] invnext\n"

"bind MOUSE1 +attack\n";

