#include <ctype.h>

#include "g_local.h"
#include "fileio.h"
#include "ents.h"

char *strlwr(char *s){
	char *p = s;
	while(*s){
		*s = tolower(*s);
		s++;
	}
	return p;
}

char *LoadEntities(char *mapname, char *entities){
	char	entfilename[MAX_QPATH] = "";
	char	*newentities;
	
	sprintf(entfilename, "maps/%s.ent", mapname);
	strlwr(entfilename);
	
	newentities = ReadTextFile(entfilename);
	
	if(newentities)
		return(newentities);	// reassign the ents
	else
		return(entities);
		
		
}
